Skip to main content
Manage accounts and associate clients with them using the following endpoints.

Full Endpoint URL

https://secure.heysaturn.com/api/external/v1/account/

POST /account/

This endpoint allows you to create or update accounts in Saturn and associate clients with them.

Mandatory Fields

FieldTypeDescription
crmstringThe CRM source. Must be a valid CRM (curo, xplan, plannr, intelliflo).
account_idstringUnique account UUID from the CRM source.
account_namestringThe name of the account.
clientsarrayList of clients to associate with the account.
clients[].idstringUnique client UUID from the CRM source.

Request Payload Example

{
    "crm": "curo",
    "account_id": "sample-account-uuid-curo",
    "account_name": "Mr & Mrs Saturns' Joint Account",
    "clients": [
        {
            "first_name": "Sarah",
            "last_name": "Saturn",
            "email": "sarah.saturn@example.com",
            "phone_number": "+447762000000",
            "id": "sample-curo-client-uuid-1"
        },
        {
            "first_name": "Michael",
            "last_name": "Saturn",
            "email": "michael.saturn@example.com",
            "phone_number": "+4479221100",
            "id": "sample-curo-client-uuid-2"
        }
    ]
}

Response Example

{
    "created_accounts": [
        {
            "account_id": "sample-account-uuid-curo",
            "account_name": "Mr & Mrs Saturns' Joint Account",
            "clients": {
                "created": [
                    {
                        "first_name": "Sarah",
                        "last_name": "Saturn",
                        "email": "sarah.saturn@example.com",
                        "phone_number": "+447762000000",
                        "type": "Individual",
                        "id": 2406
                    },
                    {
                        "first_name": "Michael",
                        "last_name": "Saturn",
                        "email": "michael.saturn@example.com",
                        "phone_number": "+4479221100",
                        "type": "Individual",
                        "id": 2407
                    }
                ],
                "existing": []
            }
        }
    ],
    "existing_accounts": [],
    "messages": [
        "Account 'sample-account-uuid-curo' created successfully."
    ]
}